Bug 3591 - [UPDATE REQUEST] [UPSTREAM UPDATE] yum
: [UPDATE REQUEST] [UPSTREAM UPDATE] yum
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 16:16 MSK by Andrew Lukoshko
Modified: 2014-01-21 19:03 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-13 16:16:18 MSK
Previously, when solving large system upgrades with broken dependencies, the
dependency solver in the Yum utility could enter an infinite loop. As a
consequence, system upgrade could not proceed. This update adds the
"depsolve_loop_limit" configuration option which limits the number of iterations
and defaults to 100 iterations. As a result, if Yum enters a loop, Yum aborts it
with an error after 100 iterations.

https://rhn.redhat.com/errata/RHBA-2013-1845.html

https://abf.rosalinux.ru/build_lists/1513344
https://abf.rosalinux.ru/build_lists/1513345
Comment 1 Vladimir Potapov 2014-01-16 06:13:39 MSK
yum-3.2.29-43.res6
******************************** RHEL Advisory ************************
Previously, when solving large system upgrades with broken dependencies, the
dependency solver in the Yum utility could enter an infinite loop. As a
consequence, system upgrade could not proceed. This update adds the
"depsolve_loop_limit" configuration option which limits the number of iterations
and defaults to 100 iterations. As a result, if Yum enters a loop, Yum aborts it
with an error after 100 iterations.

https://rhn.redhat.com/errata/RHBA-2013-1845.html
************************************************************************
QA Verified